次の方法で共有


Cluster Principal Assignments - Get

Kusto クラスター プリンシパルの割り当てを取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Kusto/clusters/{clusterName}/principalAssignments/{principalAssignmentName}?api-version=2024-04-13

URI パラメーター

名前 / 必須 説明
clusterName
path True

string

pattern: ^.*$

Kusto クラスターの名前。

principalAssignmentName
path True

string

pattern: ^.*$

Kusto principalAssignment の名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前では大文字と小文字が区別されません。

subscriptionId
path True

string

minLength: 1

ターゲット サブスクリプションの ID。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 説明
200 OK

ClusterPrincipalAssignment

Kusto クラスター プリンシパルの割り当てオブジェクト。

Other Status Codes

ErrorResponse

操作が失敗した理由を説明するエラー応答。

KustoClusterPrincipalAssignmentsGet

要求のサンプル

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/clusters/kustoCluster/principalAssignments/kustoprincipal1?api-version=2024-04-13

応答のサンプル

{
  "id": "/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/Clusters/kustoCluster/PrincipalAssignments/kustoprincipal1",
  "name": "kustoCluster/kustoprincipal1",
  "type": "Microsoft.Kusto/Clusters/PrincipalAssignments",
  "properties": {
    "role": "AllDatabasesAdmin",
    "principalId": "87654321-1234-1234-1234-123456789123",
    "principalType": "App",
    "tenantId": "12345678-1234-1234-1234-123456789123",
    "tenantName": "tenantName",
    "principalName": "TestApp",
    "provisioningState": "Succeeded",
    "aadObjectId": "98765432-1234-1234-1234-123456789123"
  }
}

定義

名前 説明
ClusterPrincipalAssignment

クラスター プリンシパルの割り当てを表すクラス。

ClusterPrincipalRole

クラスター プリンシパル ロール。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

PrincipalType

プリンシパルの種類。

ProvisioningState

リソースのプロビジョニング済み状態。

ClusterPrincipalAssignment

クラスター プリンシパルの割り当てを表すクラス。

名前 説明
id

string

リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

リソースの名前

properties.aadObjectId

string

AAD (Azure Active Directory) のサービス プリンシパル オブジェクト ID

properties.principalId

string

クラスター プリンシパルに割り当てられたプリンシパル ID。 ユーザーの電子メール、アプリケーション ID、またはセキュリティ グループ名を指定できます。

properties.principalName

string

プリンシパル名

properties.principalType

PrincipalType

プリンシパルの種類。

properties.provisioningState

ProvisioningState

リソースのプロビジョニング済み状態。

properties.role

ClusterPrincipalRole

クラスター プリンシパル ロール。

properties.tenantId

string

プリンシパルのテナント ID

properties.tenantName

string

プリンシパルのテナント名

type

string

リソースの種類。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

ClusterPrincipalRole

クラスター プリンシパル ロール。

説明
AllDatabasesAdmin
AllDatabasesViewer
AllDatabasesMonitor

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

PrincipalType

プリンシパルの種類。

説明
App
Group
User

ProvisioningState

リソースのプロビジョニング済み状態。

説明
Running
Creating
Deleting
Succeeded
Failed
Moving
Canceled